eth_getUncleCountByBlockHash - Xlayer

Xlayer API - Returns the number of uncles in a block matching the given block hash.

NOTE: eth_getUncleCountByBlockHash always returns empty.

Parameters

  • DATA, 32 Bytes - Hash of a block.
params: ["0x17fd2777f5f4f15912a6ea49bcb213c6991ba7ef57cdd64a572f719aa2a46c23"];

Returns

QUANTITY - integer of the number of uncles in this block.


Example

Request

curl https://xlayer-mainnet.unifra.io/v1/your-api-key \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_getUncleCountByBlockHash","params":["0x17fd2777f5f4f15912a6ea49bcb213c6991ba7ef57cdd64a572f719aa2a46c23"],"id":0}'
URL: https://xlayer-mainnet.unifra.io/v1/your-api-key
RequestType: POST
Body:
{
  "jsonrpc":"2.0",
  "method":"eth_getUncleCountByBlockHash",
  "params":["0x17fd2777f5f4f15912a6ea49bcb213c6991ba7ef57cdd64a572f719aa2a46c23"],
  "id":0
}

Result

{
  "jsonrpc": "2.0",
  "id": 0,
  "result": "0x0"
}
Path Params
string
required
Body Params
string
required
Defaults to 2.0
string
enum
required
Defaults to eth_getUncleCountByBlockNumber
Allowed:
params
array of strings
required
length between 1 and 2

ByHashAndIndex: [blockHash, uncleIndex]; ByNumberAndIndex: [blockNumberOrTag, uncleIndex]; CountByBlockHash: [blockHash].

params*
int32
required
Defaults to 0
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json